%define anolis_release 1
%global pypi_name hjson
%global pypi_version 3.1.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Hjson, a user interface for JSON

License:        MIT License
URL:            http://github.com/hjson/hjson-py
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Hjson, the Human JSON. A configuration file format that caters to humans and helps reduce the 
errors they make.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
Hjson, the Human JSON. A configuration file format that caters to humans and helps reduce the 
errors they make.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{_bindir}/hjson
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 3.1.0-1
- Initial package.